DPOTRF(3)

NAME
DPOTRF - the Cholesky factorization of a real symmetric positive definite matrix A

SYNOPSIS

SUBROUTINE DPOTRF(
    UPLO, N, A, LDA, INFO )

CHARACTER
    UPLO

INTEGER
    INFO, LDA, N

DOUBLE
    PRECISION A( LDA, * )

PURPOSE
DPOTRF computes the Cholesky factorization of a real symmetric positive definite matrix A. The factorization has the form
   A = U**T * U, if UPLO = 'U', or
   A = L * L**T, if UPLO = 'L',
where U is an upper triangular matrix and L is lower triangular. This is the block version of the algorithm, calling Level 3 BLAS.

ARGUMENTS

UPLO    (input) CHARACTER*1
    = 'U': Upper triangle of A is stored;
    = 'L': Lower triangle of A is stored.

N       (input) INTEGER
    The order of the matrix A. N >= 0.

A       (input/output) DOUBLE PRECISION array, dimension (LDA,N)
    On entry, the symmetric matrix A. If UPLO = 'U', the leading N-by-N upper triangular part of A contains the upper triangular part of the matrix A, and the strictly lower triangular part of A is not referenced. If UPLO = 'L', the leading N-by-N lower triangular part of A contains the lower triangular part of the matrix A, and the strictly upper triangular part of A is not referenced. On exit, if INFO = 0, the factor U or L from the Cholesky factorization A = U**T*U or A = L*L**T.

LDA     (input) INTEGER
    The leading dimension of the array A. LDA >= max(1,N).

INFO    (output) INTEGER
    = 0: successful exit
    < 0: if INFO = -i, the i-th argument had an illegal value
    > 0: if INFO = i, the leading minor of order i is not positive definite, and the factorization could not be completed.